List the account’s orders
GET
/storefront/sites/{host}/account/orders
const url = 'https://example.com/storefront/sites/northgate.shop.getbottle.app/account/orders?limit=20&customerId=019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f&offset=0';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/storefront/sites/northgate.shop.getbottle.app/account/orders?limit=20&customerId=019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f&offset=0'Deliberately without a staff session: a shopper on the business’s own shop. Every order of every customer the account buys for, the office’s as well as the shop’s, newest first.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”host
required
string
Example
northgate.shop.getbottle.appQuery Parameters
Section titled “Query Parameters”limit
integer
customerId
UUID v7
string format: uuid
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fUUID v7
offset
integer | null
Responses
Section titled “Responses”Orders
Media typeapplication/json
object
items
required
Array<object>
object
id
required
UUID v7
string format: uuid
reference
required
string
trackingRef
required
string
placedAt
required
string format: date-time
status
required
string
fulfilment
required
string
grossPence
required
integer
paid
required
boolean
summary
required
string
invoiceId
required
UUID v7
string | null format: uuid
customerId
required
UUID v7
string format: uuid
customerName
required
string
total
required
integer
Example
{ "items": [ { "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "status": "placed", "fulfilment": "delivery", "invoiceId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "customerId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f" } ]}Refused: the message says why
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not from the shop itself, or the email is not confirmed yet
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not a shop. No body.
A real shop not selling now (shop_closed)
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}Too many tries
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}